function loop_sim(lat,d)
% This script runs through simulations of IgG hexamer docking across a
% range of particle curvatures specified by the particle radius, x (default
% range: 20nm to 1000nm).
% Input variable 'lat' specifies the lattice type (square-upright = 1;
% square-diagonal = 2; hexagonal = 3).
% Input variable 'd' specifies the distance (in nm) between neighboring F,
% as measured in the plane of the membrane.
% Additional variables can be set in hex_dock.m

if(lat==1);
  lat_type = 'square';
elseif(lat==2)
  lat_type = 'diagonal';
elseif(lat==3)
  lat_type = 'hexagonal';
end

x = linspace(log(20),log(1000),20);
for a = round(exp(x));
  savename = [lat_type,num2str(round(d)),'nm_',num2str(a),'nm.mat']
  hex_dock(savename,a,lat,d);
end